/**
 * @fileoverview Should not use success and error functions for HTTP promises
 * @author Murali
 */
"use strict";

//------------------------------------------------------------------------------
// Requirements
//------------------------------------------------------------------------------

// var requireIndex = require("requireindex");

//------------------------------------------------------------------------------
// Plugin Definition
//------------------------------------------------------------------------------


// import all rules in lib/rules
module.exports = {
	rules: {
		'catch-or-return': require('./rules/catch-or-return')
	},
	rulesConfig: {
		'catch-or-return': 1
	},
	configs: {
		recommended: {
			rules: {
				'promise/catch-or-return': 'error'
			}
		}
	}



