# eslint-plugin-my-estlint-plugin

Should not use success and error functions for HTTP promises

## Installation

You'll first need to install [ESLint](http://eslint.org):

```
$ npm i eslint --save-dev
```

Next, install `eslint-plugin-my-estlint-plugin`:

```
$ npm install eslint-plugin-my-estlint-plugin --save-dev
```

**Note:** If you installed ESLint globally (using the `-g` flag) then you must also install `eslint-plugin-1` globally.

## Usage

Add `my-estlint-plugin` to the plugins section of your `.eslintrc` configuration file. You can omit the `eslint-plugin-` prefix:

```json
{
    "plugins": [
        "my-estlint-plugin"
    ]
}
```


Then configure the rules you want to use under the rules section.

```json
{
    "rules": {
        "my-estlint-plugin/rule-name": 2
    }
}
```

## Supported Rules

* Fill in provided rules here





